Kirjoittaja Aihe: QtConcurrent ja KStars [RATKAISTU]  (Luettu 2054 kertaa)

ilkant

  • Käyttäjä
  • Viestejä: 1274
  • Kubuntu
    • Profiili
QtConcurrent ja KStars [RATKAISTU]
« : 13.08.22 - klo:20.10 »
Viimeöisen perseidien innoittamana käytin KStars-ohjelmaa. Huomasin siinä (versio 3.5.7) ohejlman kaatavan bugin. Tein bugi-ilmoituksen. Sen jälkeen katseltuani KStarsin sivua näin, että siitä on tullut uusi versio 3.6.0. Ohjeiden mukaan se on saatavilla snapin kautta. Asensin snapilla. Mutta koneella käynnistyi vanha apt:lla asennetut ohjelma. Pienten sekoilujen jälkeen lisäsin mainitun PPA-pakettivaraston ja asensin apt:llä uuden version 3.6.0. Ohjelma kaatui jälleen tehdessäni vastaavat toimenpiteet.

Nyt koodari kertoo
Lainaus
Use QtConcurrent for the actual computations for each planet and not for the overall functions enabling or disabling GUI elements from a thread might lead to a crash.

Se tarkoittanee Suomeksi "Käytä QtConcurrentia kunkin planeetan todellisiin laskelmiin eikä yleisiin toimintoihin. GUI-elementtien käyttöönotto tai poistaminen säikeestä saattaa johtaa kaatumiseen."

Onko QtConcurrent joku erillinen Qt-versio? Eipä tunnu hyvältä ajatukselta, että joku yksittäinen sovellus tarvitsisi omat kirjastopaketit...

Ilmeisesti kuitenkin bugi-ilmoitukseni on saanut koodaajan korjaamaan koodia ja on tulossa KStarsin uusi versio 3.6.1, jota apt ei vielä löydä.
« Viimeksi muokattu: 19.08.22 - klo:04.44 kirjoittanut ilkant »

nm

  • Käyttäjä
  • Viestejä: 16241
    • Profiili
Vs: QtConcurrent ja KStars
« Vastaus #1 : 14.08.22 - klo:11.21 »
Viimeöisen perseidien innoittamana käytin KStars-ohjelmaa. Huomasin siinä (versio 3.5.7) ohejlman kaatavan bugin. Tein bugi-ilmoituksen. Sen jälkeen katseltuani KStarsin sivua näin, että siitä on tullut uusi versio 3.6.0. Ohjeiden mukaan se on saatavilla snapin kautta. Asensin snapilla. Mutta koneella käynnistyi vanha apt:lla asennetut ohjelma.

Voit poistaa apt-version, niin ei tule sekaannuksia. Sinänsä molemmat toimivat kyllä myös rinnakkain, jos osaat käynnistää snap-version esimerkiksi suoraan binäärin koko polulla.

Nyt koodari kertoo
Lainaus
Use QtConcurrent for the actual computations for each planet and not for the overall functions enabling or disabling GUI elements from a thread might lead to a crash.

Se tarkoittanee Suomeksi "Käytä QtConcurrentia kunkin planeetan todellisiin laskelmiin eikä yleisiin toimintoihin. GUI-elementtien käyttöönotto tai poistaminen säikeestä saattaa johtaa kaatumiseen."

Onko QtConcurrent joku erillinen Qt-versio? Eipä tunnu hyvältä ajatukselta, että joku yksittäinen sovellus tarvitsisi omat kirjastopaketit...

Ei ole eri versio, vaan tuossa viitataan koodin toteutukseen ja siihen miten QtConcurrent-rajapintaa käytetään koodissa. Koodimuutos ei vaadi käyttäjältä mitään toimenpiteitä, paitsi tietysti sovelluksen uuden version asentamisen.

ilkant

  • Käyttäjä
  • Viestejä: 1274
  • Kubuntu
    • Profiili
Vs: QtConcurrent ja KStars
« Vastaus #2 : 15.08.22 - klo:11.18 »
Nyt on apt:llä asennettu versio 3.6.0. Jäi jotenkin hämärästi muistikuva, että kun poistin apt:llä asennetun ja sitten asensin snaplila, niin ei käynnistynyt konsolissa. Jotenkin toivoisi, että snap ja apt osaisivat viestiä toisilleen asennetut ohjelmat ja niiden versiot. Ehkä joskus tulevaisuudessa näin voi ollakin.

Versio 3.6.1, jossa on korjattu bugi, ei ole vielä pakettivarastoissa.

juyli

  • Käyttäjä / moderaattori
  • Viestejä: 1200
    • Profiili
Vs: QtConcurrent ja KStars
« Vastaus #3 : 19.08.22 - klo:02.37 »
Viimeöisen perseidien innoittamana käytin KStars-ohjelmaa. Huomasin siinä (versio 3.5.7) ohejlman kaatavan bugin. Tein bugi-ilmoituksen.
  Virheilmoituksesi on kuultu, ja virallisista pakettivarastoista Jammy:n osalta löytyy versio 3.5.7-1.
KStars versiot eri Ubuntu-versiolle:
Paketti kstars
    bionic (18.04LTS) (science): desktop planetarium, observation planning and telescope control [universe]
    5:2.9.4-1ubuntu1: amd64 arm64 armhf i386 ppc64el s390x
    focal (20.04LTS) (science): desktop planetarium, observation planning and telescope control [universe]
    5:3.4.1-1: amd64 arm64 armhf ppc64el s390x
    impish (21.10) (science): desktop planetarium, observation planning and telescope control [universe]
    5:3.4.3-1build2: amd64 arm64 armhf ppc64el s390x
    jammy (22.04LTS) (science): desktop planetarium, observation planning and telescope control [universe]
    5:3.5.7-1: amd64 arm64 armhf ppc64el s390x
    jammy-updates (science): desktop planetarium, observation planning and telescope control [universe]
    5:3.5.7-1ubuntu0.1: amd64 arm64 armhf ppc64el s390x
    kinetic (science): desktop planetarium, observation planning and telescope control [universe]
    5:3.5.9-1ubuntu1: amd64 arm64 armhf ppc64el s390x

https://packages.ubuntu.com/search?keywords=kstars&searchon=names&suite=all&section=all
Havaitut bugit korjataan yleensä ohjelmissa varsin nopeasti. Jos ei ole erityistä syytä käyttää epävirallisia versioita ohjelmasta, kannattanee pitäytyä virallisiin versioihin.

ilkant

  • Käyttäjä
  • Viestejä: 1274
  • Kubuntu
    • Profiili
Vs: QtConcurrent ja KStars
« Vastaus #4 : 19.08.22 - klo:03.07 »
Virheilmoituksesi on kuultu, ja virallisista pakettivarastoista Jammy:n osalta löytyy versio 3.5.7-1.
KStars versiot eri Ubuntu-versiolle:

Ehdin jo asentaa sen 3.6.0:n PPA-pakettivarastosta. Odottelen vielä 3.6.1-versiota. Ei ole vielä ilmestynyt. En oikein viitsisi päivittää takaisin päin aiempiin versioihin. Uudessa on lisää ihan käyttökelpoisia ominaisuuksia. Eikä niitä Indin päivityksiä ole tullut samaan tahtiin kuin silloin kun niihin väsyin. Tuntuu jotenkin tutkailtuani vähän Indiä, että se tekisi paljon sellaista, mitä en tarvitse. Ainakaan tässä vaiheessa kun harrastus on hyvin alkeellista. Enimmäkseen toisten havaintojen ja teoreemojen tutkimista.

ilkant

  • Käyttäjä
  • Viestejä: 1274
  • Kubuntu
    • Profiili
Vs: QtConcurrent ja KStars
« Vastaus #5 : 19.08.22 - klo:04.44 »
Nyt oli päivittynyt PPA:hankin. Eli sain version 3.6.0 päivittymään ja bugi ei enää vaivaa. Taivaskalenterista valitsin Saturnuksen ja plottasin ruudulle. Ei kaadu ohjelma enää.

Nyt on sitten kysymys suomennoksista. Tuon kalenterin ikkunan otsikko on englanniksi "Sky Calendar". Ja se painonappikin on englanniksi. Tähän tiedänkin ratkaisun jo.

EDIT: Eipäs ollutkaan KDE-sovellusten tavanomaisella lokalisointisivulla. En löytänyt sitä mistään. Onko nyt niin, että kääntäjät ovat ihan tiettyjä tähtitiedettä osaavia ihmisiä? Kysyn tätä tässä mieluummin enesin ennen kuin kansainvälisillä foorumeilla.
« Viimeksi muokattu: 19.08.22 - klo:05.32 kirjoittanut ilkant »

ilkant

  • Käyttäjä
  • Viestejä: 1274
  • Kubuntu
    • Profiili
Vs: QtConcurrent ja KStars [RATKAISTU]
« Vastaus #6 : 21.10.22 - klo:00.14 »
Huomasin, että astronomian harrastajat ovat keskustelleet enemmän Stellariumista kuin KStarsista. Asensin sen kokeillakseni. Asentui versio 0.20.4. Ohjelmasta on julkaistu versio 1.0 Lokakuun 1. päivä 2022 eli kolmisen viikkoa sitten. Tuo versio 0.20.4 on Kubuntun pakettivarastoista. Stellariumin sivulla sanotaan, että versio 1.0 käyttää Qt 6:sta. Käytössä minulla on Plasma 5.24.6, joka käyttää Qt 5:sta.

Onko nyt riskialtista asentaa tuo Stellariumin versio 1.0  seuraavista syistä
1) Se pitäisi asentaa ohi pakettivaraston, jolloin todennäköisesti tulisi riippuvuusongelmia
2) Pitäisi odottaa Plasma 6.0 julkaisua. Vitossarjaa tulee vielä 5.27, mutta sitten hypätään 6.0:aan Plasmassa
3) Joku muu kikkailu

Tuo Stellarium ei vaikuta ainakaan kovin huonolta ohjelmalta.

nm

  • Käyttäjä
  • Viestejä: 16241
    • Profiili
Vs: QtConcurrent ja KStars [RATKAISTU]
« Vastaus #7 : 21.10.22 - klo:12.39 »
Onko nyt riskialtista asentaa tuo Stellariumin versio 1.0  seuraavista syistä
1) Se pitäisi asentaa ohi pakettivaraston, jolloin todennäköisesti tulisi riippuvuusongelmia

Voit huoletta asentaa Stellariumin Snap-paketin tai AppImagen. Ne eivät vaikuta muun järjestelmän toimintaan.